Delete a customer address
DELETE
/partners/customers/{uuid}/addresses/{customerAddressUuid}Removes an address from a customer.
Returns 204 No Content with an empty body.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe customer UUID.
customerAddressUuiduuidrequiredThe address UUID to remove.
Responses
204Address deleted. No response body.404Customer or address not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootDELETE
https://api.getcount.com/partners/customers/{uuid}/addresses/{customerAddressUuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'DELETE';
const signingPath = '/customers/3fa85f64-5717-4562-b3fc-2c963f66afa6/addresses/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/customers/3fa85f64-5717-4562-b3fc-2c963f66afa6/addresses/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());